Subject: RE: FVWM: Move and resize question

From: "Steffl, Erik" <[email-masked]>
Date: Thu, 27 Jan 2000 13:08:33 -0600

the netscape's understanding of the geometry seems to be pretty wierd, I
have tried various geometry setting and they do not work as described in X
man page, the same geometry settings work fine with other X programs.

	erik

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Patrick Cevasco
> Sent: Tuesday, January 25, 2000 5:52 PM
> To: [email-masked]
> Subject: Re: FVWM: Move and resize question
> 
> 
> On Tue, 25 January 2000, Jason Kibblewhite wrote:
> 
> I tried using "-geometry" with netscape and it didn't work.  
> I might have spelled it wrong before because it does now size 
> the window correctly but it doesn't locate it.  I did
>     netscape -help
> and looked at the syntax so I think I'm at least doing it 
> correctly now.  Oh well, I'll deal with it.
> 
> Thanks for the help.
> 
> pat
> 
> > 
> > 
> > Subject: FVWM: Move and resize question
> > Date: Mon, Jan 24, 2000 at 03:23:01PM -0800
> > 
> > Time to reply!
> > 
> > Quoting Patrick Cevasco ([email-masked]):
> > > I'm using fvwm2-2.2.2-3
> > > 
> > > I have several programs (like Netscape) which I run 
> during InitFunction and would like them to pop-up at specific 
> locations and sizes on different desks within FVWMPager.  For 
> example, I have Desks 0 thru 3 and would like Netscape to 
> load to Desk 1 with a certain size and location without Focus 
> moving to Desk 1.
> > --snip--
> > > 
> > > But that doesn't work either.  I also used FvwmIdent to 
> find the correct Class (Netscape) and Resource (Navigator) 
> and neither work.  Most programs are easy because of  "-geometry".
> > > 
> > 
> > Well unless I've not understood the question, but netscape 
> just support the
> > -geometry argument.  Why not use that?
> > -- 
> > email: [email-masked]
> >         [email-masked]
> > ICQ:52555063
> > --
> > Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> > To unsubscribe from the list, send "unsubscribe fvwm" in 
> the body of a
> > message to [email-masked].
> > To report problems, send mail to [email-masked].
> 
> 
> ______________________________________________________________
> 
> Free Internet Access from AltaVista: Get it, share it & win! 
> http://freeaccess.altavista.com/pika/www/initweb.jsp
> 
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Thu, 27 Jan 2000 14:25:49 -0500

> man page, the same geometry settings work fine with other X programs.

Here are the geometry lines from the 4.6 Netscape.ad file:

! By default, the geometries of components (browsers, mail, address book, etc)
! are saved in ~/.netscape/preferences.js.  If this pisses you off, uncomment
! the following line and Netscape will not remember component geometries.
!
! Equivalent to using the '-dont-save-geometry-prefs' startup flag.
!
!*dontSaveGeometryPrefs:		True
!
! Uncomment the following line to ignore any geometry preferences that
! might have been saved.
!
! Equivalent to using the '-ignore-geometry-prefs' startup flag.
!
!*ignoreGeometryPrefs:			True
! Geometry
!
! Here's how you set the default sizes and positions of the Netscape windows:
!
! For the web browser window:   Netscape.Navigator.geometry: =500x700+100-0
! For the mail reader:          Netscape.Mail.geometry: =500x800+200-0
! For the news reader:          Netscape.News.geometry: =500x800+300-0
! For the mail editor:          Netscape.Composition.geometry: =400x600
! For the bookmarks window:     Netscape.Bookmarks.geometry: =300x900-0-0
! For the address book window:  Netscape.AddressBook.geometry: =600x900-300-0
! For the download windows:     Netscape.Download.geometry: =500x200-0-0
!
! In previous versions of Netscape, we suggested setting the geometry on the
! TopLevelShell class; don't do that any more.  It will affect *all* of the
! top-level Netscape windows, including bookmarks and message composition and
! so on, which is probably not what you want.

As you can see from this, they don't recommend setting an overall geometry.
Putting one on the command line probably qualifies.

Anyway, you may find something helpful in the above information.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].